FoxData Open API
My License
My License
  1. 2. Market Services
  • I. Quick Start
    • 1. API Overview
    • 2. Quick Start
    • 3. Authorization
    • 4. Request & Response
    • 5. Rate Limiting
  • II. List of Interfaces
    • 1. application Services
      • 1001-App-Basic Info
      • 1002-App-Extended Info
      • 1003-App-Visibility Score
      • 1004-App-Apps by Same Developer
      • 1005-App-Ranking History
      • 1006-App-Featured Recommendations
      • 1007-App-Ratings & Reviews
      • 1008-App-Version History
      • 1009-App-Competitor Comparison
      • 1010-App-Competitor Bidding
      • 1011-App-Covered Keywords
      • 1012-App-Keyword Expansion
      • 1013-App-Bidding Keywords
      • 1014-App-Bidding Keyword Periodic Monitoring-Task Initiation
      • 1014-App-Bidding Keyword Periodic Monitoring-Task Retrieval
      • 1014-App-Bidding Keyword Periodic Monitoring-Data Retrieval
      • 1015-App-CPP Ad Creatives
      • 1016-App-App Tags
      • 1017-App-Download & Revenue Estimates
      • 1018-App-Smart Keyword Recommendations
      • 1019-App-Active Users
      • 1020-App-Basic Info (Advanced)
      • 1021-App-CPP Keywords
    • 2. Market Services
      • 2001-Market-Realtime Charts
        POST
      • 2002-Market-Global Chart Analysis
        POST
      • 2003-Market-Search Volume Charts
        POST
      • 2004-Market-Download & Revenue Charts
        POST
      • 2005-Market-Active Users & Customers
        POST
      • 2006-Market-App Release Monitoring
        POST
      • 2007-Market-Cleared Keyword Monitoring
        POST
      • 2008-Market-Cleared Ranking Monitoring
        POST
      • 2009-Market-App Delisting Monitoring
        POST
    • 3. ASA Services
      • 3001-Ad-Bidding Apps
      • 3002-Ad-Bidding Keywords
      • 3003-Ad-Bidding Keyword Analysis
      • 3004-Ad-CPPs
      • 3005-ASA Tab Rate Task
      • 3005-ASA Tab Rate Result
    • 4. Kerword research Services
      • 4001-Keyword Search
      • 4002-Keyword Expansion
      • 4003-Keyword Search Details
      • 4004-App-App Keywords
    • 9. Other Services
      • 9001-Paginated Query API
  • III. Data Dictionary and Definitions
    • 1. Application Classification Code
    • 2. Time and Location Information
    • 3. Regional Language Comparison Chart
    • 4. Explanation of Data Update Frequency
  • IV. Appendix
    • 1. Release Notes
    • 2. FAQ
    • 3. Contact and Support
  1. 2. Market Services

2001-Market-Realtime Charts

POST
/ranking/realtime
Query app store chart rankings across countries and categories.

Request

Authorization
Add parameter in header
x-openapi-key
Example:
x-openapi-key: ********************
Body Params application/json

Example
{
  "region": "US",
  "store": "AS",
  "device": "IPAD",
  "category": "-1",
  "start": "2025-09-19",
  "end": "2025-09-20"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.foxdata.com/apiv1/open-api/ranking/realtime' \
--header 'x-openapi-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
  "region": "US",
  "store": "AS",
  "device": "IPAD",
  "category": "-1",
  "start": "2025-09-19",
  "end": "2025-09-20"
}'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
  "requestParam": {
    "region": "US",
    "store": "AS",
    "device": "IPAD",
    "category": "-1",
    "start": "2025-09-19",
    "end": "2025-09-20"
  },
  "result": [
    {
      "region": "US",
      "store": "AS",
      "device": "IPAD",
      "category": "-1",
      "date": "2025-09-20",
      "charts": [
        {
          "rankType": "FREE",
          "apps": [
            {
              "appId": "545519333",
              "icon": "https://is1-ssl.mzstatic.com/image/thumb/Purple211/v4/b5/67/d8/b567d87b-e9f9-d217-875a-22cc52cfc704/AppIcon-0-0-1x_U007epad-0-1-0-0-85-220.png/88x88w.png",
              "title": "Amazon Prime Video",
              "rank": 1,
              "change": 0
            }
          ]
        },
        {
          "rankType": "PAID",
          "apps": [
            {
              "appId": "479516143",
              "icon": "https://is1-ssl.mzstatic.com/image/thumb/Purple221/v4/48/d0/37/48d0370e-cc6c-f1e2-1d36-6322809ba598/AppIcon-0-0-1x_U007emarketing-0-10-0-85-220.png/88x88w.png",
              "title": "Minecraft: Dream it, Build it!",
              "rank": 1,
              "change": 1
            }
          ]
        },
        {
          "rankType": "TOP_GROSSING",
          "apps": [
            {
              "appId": "544007664",
              "icon": "https://is1-ssl.mzstatic.com/image/thumb/Purple211/v4/bc/ff/e5/bcffe5f4-c5cd-ea33-d747-9f1acda1e084/logo_youtube_2024_q4_color-0-1x_U007emarketing-0-0-0-7-0-0-0-85-220-0.png/88x88w.png",
              "title": "YouTube",
              "rank": 1,
              "change": 0
            }
          ]
        }
      ]
    }
  ],
  "creditsCost": {
    "requestCredits": 0,
    "baseCredits": 20,
    "extraCredits": 0,
    "totalCostCredits": 20
  },
  "next": null
}
Modified at 2026-06-25 05:44:00
Previous
1021-App-CPP Keywords
Next
2002-Market-Global Chart Analysis
Built with